> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener dominio

> Devuelve el detalle de dominio orientado al cliente.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.es.json GET /v1/public/accounts/{account_id}/domains/{domain}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/{domain}:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: Obtener dominio
      description: Devuelve el detalle de dominio orientado al cliente.
      operationId: get_public_domain_v1_public_accounts__account_id__domains__domain__get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: domain
          required: true
          schema:
            title: Domain
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainDetailResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Error de validación
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainDetailResponse:
      properties:
        auto_renew:
          default: false
          description: Si la renovación automática del dominio está habilitada
          title: automático Renew
          type: boolean
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Marca de tiempo de creación del dominio
          title: Creado el
        dedicated_ip_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: IP UUID dedicado asignado, si lo hubiera
          title: Id de IP dedicada
        dns_records:
          description: Registros DNS para el dominio.
          items:
            $ref: '#/components/schemas/DomainDnsRecordResponse'
          title: Registros DNS
          type: array
        id:
          description: Dominio UUID
          format: uuid
          title: ID
          type: string
        inbound_tenant_external_id:
          anyOf:
            - type: string
            - type: 'null'
          description: ID externo del proveedor para el inquilino entrante
          title: Inbound Tenant External ID
        inbound_tenant_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Inquilino entrante UUID, si está asignado
          title: Inbound Tenant ID
        inbound_tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          description: Nombre para mostrar del inquilino entrante, si está asignado
          title: Inbound Tenant nombre
        inbound_tenant_type:
          anyOf:
            - type: string
            - type: 'null'
          description: Tipo de inquilino entrante, si está asignado
          title: Inbound Tenant tipo
        mailboxes:
          description: Buzones de correo en el dominio
          items:
            $ref: '#/components/schemas/DomainMailboxSummary'
          title: Buzones
          type: array
        name:
          description: Nombre de dominio
          title: Nombre
          type: string
        outbound_routing_ready:
          description: Si la ruta de salida está lista
          title: Enrutamiento saliente listo
          type: boolean
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: Modo de redirección configurado, si lo hubiera
          title: Redirect modo
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: URL de redireccionamiento configurada, si la hubiera
          title: Redirect URL
        status:
          description: Estado del ciclo de vida del dominio
          title: Estado
          type: string
        tags:
          description: Etiquetas adjuntas al dominio
          items:
            $ref: '#/components/schemas/DomainTagResponse'
          title: Etiquetas
          type: array
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Marca de tiempo de la última actualización del dominio
          title: Actualizado el
        workspace_id:
          description: Espacio de trabajo UUID que contiene el dominio
          format: uuid
          title: Id del espacio de trabajo
          type: string
      required:
        - id
        - name
        - status
        - workspace_id
        - outbound_routing_ready
      title: DomainDetailResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalle
          type: array
      title: HTTPValidationError
      type: object
    DomainDnsRecordResponse:
      description: Registro DNS incrustado en los detalles del dominio.
      properties:
        id:
          description: Identificador de registro DNS
          title: ID
          type: integer
        is_system_managed:
          default: false
          description: Si el registro es administrado por HybridBox
          title: Está administrado por el sistema
          type: boolean
        name:
          description: Nombre del registro DNS
          title: Nombre
          type: string
        priority:
          anyOf:
            - type: integer
            - type: 'null'
          description: Prioridad de registro DNS cuando corresponda
          title: Prioridad
        ttl:
          description: DNS registra TTL en segundos
          title: TTL
          type: integer
        type:
          description: Tipo de registro DNS
          title: Tipo
          type: string
        value:
          description: Valor de registro DNS
          title: Valor
          type: string
      required:
        - id
        - type
        - name
        - value
        - ttl
      title: DomainDnsRecordResponse
      type: object
    DomainMailboxSummary:
      description: Resumen de buzón incrustado en los detalles del dominio.
      properties:
        active:
          description: Si el buzón está activo
          title: Activo
          type: boolean
        email:
          description: Dirección de correo electrónico del buzón principal
          title: Correo electrónico
          type: string
        first_name:
          description: Nombre del usuario del buzón
          title: Nombre
          type: string
        id:
          description: Buzón UUID
          format: uuid
          title: ID
          type: string
        last_name:
          description: Apellido del usuario del buzón
          title: Apellido
          type: string
      required:
        - id
        - email
        - first_name
        - last_name
        - active
      title: DomainMailboxSummary
      type: object
    DomainTagResponse:
      description: Etiqueta adjunta a un dominio.
      properties:
        id:
          description: Etiqueta UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Nombre para mostrar de la etiqueta
          title: Nombre
          type: string
      required:
        - id
        - name
      title: DomainTagResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Ubicación
          type: array
        msg:
          title: Mensaje
          type: string
        type:
          title: Tipo de error
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````